<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions name="ScilabWebServices"
 targetNamespace="http://www.scilab.org/sciwbs"
 xmlns:tns="http://www.scilab.org/sciwbs"
 xmlns:sciwbs="http://www.scilab.org/sciwbs"
 xmlns:SOAP="http://schemas.xmlsoap.org/wsdl/soap/"
 xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
 xmlns:xsd="http://www.w3.org/2001/XMLSchema" >

<wsdl:types>
 <xsd:schema
  xmlns="http://www.scilab.org/sciwbs"
  targetNamespace="http://www.scilab.org/sciwbs"
  xmlns:tns="http://www.scilab.org/sciwbs"
  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
  xmlns:sciwbs="http://www.scilab.org/sciwbs">
  <xsd:import namespace="http://schemas.xmlsoap.org/soap/encoding/"
    schemaLocation="http://schemas.xmlsoap.org/soap/encoding/"/>

  <xsd:complexType name="MatrixOfDouble">
    <!-- Content -->
    <xsd:sequence>
      <xsd:element name="element" minOccurs="0" maxOccurs="unbounded" type="DoubleElement"/>
    </xsd:sequence>
    <!-- Attributes -->
    <xsd:attribute name="rows" type="xsd:nonNegativeInteger" use="required"/>
    <xsd:attribute name="columns" type="xsd:nonNegativeInteger" use="required"/>
  </xsd:complexType>

  <!-- Element type for a matrix of double values -->
  <xsd:complexType name="DoubleElement">
    <xsd:simpleContent>
      <xsd:extension base="xsd:double">
        <xsd:attribute name="row" type="xsd:positiveInteger" use="required"/>
        <xsd:attribute name="column" type="xsd:positiveInteger" use="required"/>
      </xsd:extension>
    </xsd:simpleContent>
  </xsd:complexType>

  <xsd:complexType name="MatrixOfComplex">
    <!-- Content -->
    <xsd:sequence>
      <xsd:element name="element" minOccurs="0" maxOccurs="unbounded"
         type="ComplexElement"/>
    </xsd:sequence>
    <!-- Attributes -->
    <xsd:attribute name="rows" type="xsd:nonNegativeInteger" use="required"/>
    <xsd:attribute name="columns" type="xsd:nonNegativeInteger" use="required"/>
  </xsd:complexType>

  <!-- Element type for a matrix of complex values -->
  <xsd:complexType name="ComplexElement">
    <xsd:sequence>
      <xsd:element name="real" minOccurs="1" maxOccurs="1" type="xsd:double"/>
      <xsd:element name="imaginary" minOccurs="1" maxOccurs="1" type="xsd:double"/>
    </xsd:sequence>
    <xsd:attribute name="row" type="xsd:positiveInteger" use="required"/>
    <xsd:attribute name="column" type="xsd:positiveInteger" use="required"/>
  </xsd:complexType>

  <xsd:complexType name="StringList">
    <xsd:sequence>
      <xsd:element name="string" type="xsd:string" minOccurs="0" maxOccurs="unbound" />
    </xsd:sequence>
  </xsd:complexType>

  </xsd:schema>
</wsdl:types>

<wsdl:message name="AddRequest">
  <wsdl:part name="a" type="sciwbs:MatrixOfDouble"/>
  <wsdl:part name="b" type="sciwbs:MatrixOfDouble"/>
</wsdl:message>

<wsdl:message name="AddResponse">
  <wsdl:part name="result" type="sciwbs:MatrixOfDouble"/>
</wsdl:message>

<wsdl:message name="ListFunctionsRequest">
  <wsdl:part name="value" type="xsd:int"/>
</wsdl:message>

<wsdl:message name="ListFunctionsResponse">
  <wsdl:part name="result" type="sciwbs:StringList"/>
</wsdl:message>

<wsdl:portType name="SciwbsPortType">
  <wsdl:operation name="add">
    <wsdl:documentation>Performs addition</wsdl:documentation>
    <wsdl:input message="tns:AddRequest" />
    <wsdl:output message="tns:AddResponse" />
  </wsdl:operation>
  <wsdl:operation name="listFunctions">
    <wsdl:input message="tns:ListFunctionsRequest" />
    <wsdl:output message="tns:ListFunctionsResponse" />
  </wsdl:operation>
</wsdl:portType>

<wsdl:binding name="SciwbsBinding" type="tns:SciwbsPortType">
  <SOAP:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
  <wsdl:operation name="add">
    <SOAP:operation style="rpc" soapAction=""/>
    <wsdl:input>
      <SOAP:body use="encoded" namespace="http://www.scilab.org/sciwbs" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
    </wsdl:input>
    <wsdl:output>
      <SOAP:body use="encoded" namespace="http://www.scilab.org/sciwbs" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
    </wsdl:output>
  </wsdl:operation>
  <wsdl:operation name="listFunctions">
    <SOAP:operation style="rpc" soapAction=""/>
    <wsdl:input>
      <SOAP:body use="encoded" namespace="http://www.scilab.org/sciwbs" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
    </wsdl:input>
    <wsdl:output>
      <SOAP:body use="encoded" namespace="http://www.scilab.org/sciwbs" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
    </wsdl:output>
  </wsdl:operation>
</wsdl:binding>

<wsdl:service name="SciWebService">
  <wsdl:documentation>Service executes commands with Scilab</wsdl:documentation>
  <wsdl:port name="SciwbsPort" binding="tns:SciwbsBinding">
    <SOAP:address location="http://93.84.239.10:5050"/>
  </wsdl:port>
</wsdl:service>

</wsdl:definitions>
